<Project Sdk="Microsoft.NET.Sdk.WindowsDesktop">

  <PropertyGroup>
    <UseWPF>true</UseWPF>
    <Company>AIStudio.Wpf.Controls</Company>
    <Authors>akwkevin</Authors>
    <PackageProjectUrl>https://gitee.com/akwkevin</PackageProjectUrl>
    <PackageIcon>A.png</PackageIcon>
    <PackageIconUrl />
    <NeutralLanguage />
    <Version>1.0.1</Version>
    <Description>一个Wpf的Diagram控件基础库</Description>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Images\file.png" />
    <None Remove="Images\FormatPainter.cur" />
    <None Include="A.png">
      <Pack>True</Pack>
      <PackagePath></PackagePath>
    </None>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Xaml.Behaviors.Wpf" Version="1.1.31" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="System.Reactive" Version="5.0.0" />
    <PackageReference Include="WpfAnimatedGif" Version="2.0.0" />
  </ItemGroup>

  <ItemGroup Condition="$(DefineConstants.Contains(NETCOREAPP)) == true">
    <PackageReference Include="System.Drawing.Common" Version="5.0.2" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Images\file.png" />
    <Resource Include="Images\FormatPainter.cur" />
  </ItemGroup>

  <ItemGroup>
    <None Update="Images\Gifs\car_chase.gif">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Page Update="Controls\MultiSelectComboBox.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
    </Page>
    <Page Update="Controls\PopupWindow.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
    </Page>
    <Page Update="Controls\PropertiesView.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
    </Page>
    <Page Update="Styles\ComboBox.xaml">
      <XamlRuntime>$(DefaultXamlRuntime)</XamlRuntime>
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>
  
</Project>